/*
 * load.h
 */

extern int load(struct trs80*, char*);
#define LD_SYSERR	(2)
extern int loaderr;
extern char loaderr_str[128];

extern int loadhex(struct trs80*, char*);
extern int loadbin(struct trs80*, char*);
extern int loadbas(struct trs80*, char*);
extern int loadbba(struct trs80*, char*);
extern int loadcmd(struct trs80*, char*);

extern FILE* path_fopen(char*, char*);
extern void path_token(char*);

/* for loading routine use only */
extern char apbuf[1024];
extern void ueof(void);
extern void loom(void);

/* Convenience routines */

#define Poke(a, b)		t->z80.mem[(a)] = (b)
#define Peek(a)			t->z80.mem[(a)]
#define Poke16(a, w)	*((mword*)(t->z80.mem + (a))) = (w)
#define Peek16(a)		*((mword*)(t->z80.mem + (a)))
